# Record Class ARI1EventConfigurationParameterChanged

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1EventConfigurationParameterChanged

Record Components:
  `timeOffsetInFrames` - The time offset in frames
  `parameter` - The parameter ID

All Implemented Interfaces:
  `ARI1EventConfigurationType, ARI1EventType`

public record ARI1EventConfigurationParameterChanged(int timeOffsetInFrames, ARI1ParameterNumber parameter) extends Record implements ARI1EventConfigurationType
The value of a parameter has changed at this time period.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1EventConfigurationParameterChanged(int timeOffsetInFrames, ARI1ParameterNumber parameter)`
  The value of a parameter has changed at this time period.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `ARI1ParameterNumber`
  `parameter()`
  Returns the value of the `parameter` record component.
  `int`
  `timeOffsetInFrames()`
  Returns the value of the `timeOffsetInFrames` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1EventConfigurationParameterChanged

    public ARI1EventConfigurationParameterChanged(int timeOffsetInFrames, ARI1ParameterNumber parameter)
    The value of a parameter has changed at this time period.
    Parameters:
      `timeOffsetInFrames` - The time offset in frames
      `parameter` - The parameter ID

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### timeOffsetInFrames

    public int timeOffsetInFrames()
    Returns the value of the `timeOffsetInFrames` record component.
    Specified by:
      `timeOffsetInFrames` in interface `ARI1EventType`
    Returns:
      the value of the `timeOffsetInFrames` record component

  - ### parameter

    public ARI1ParameterNumber parameter()
    Returns the value of the `parameter` record component.
    Returns:
      the value of the `parameter` record component